Bug 55182 - Clean up temp files left by crashing DRTs on chromium-win
Summary: Clean up temp files left by crashing DRTs on chromium-win
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 14:06 PST by Tony Chang
Modified: 2011-02-28 10:26 PST (History)
6 users (show)

See Also:


Attachments
Patch (4.21 KB, patch)
2011-02-24 14:07 PST, Tony Chang
jamesr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2011-02-24 14:06:32 PST
Clean up temp files left by crashing DRTs on chromium-win
Comment 1 Tony Chang 2011-02-24 14:07:14 PST
Created attachment 83718 [details]
Patch
Comment 2 Tony Chang 2011-02-24 14:09:05 PST
We were getting problems on the Chromium Win Release (Tests) bot when we ran out of scoped_dirs (only 32k possible).
Comment 3 James Robinson 2011-02-25 12:45:49 PST
Comment on attachment 83718 [details]
Patch

Looks good!
Comment 4 Tony Chang 2011-02-25 13:45:35 PST
Committed r79724: <http://trac.webkit.org/changeset/79724>
Comment 5 Tony Chang 2011-02-25 13:45:59 PST
wms: Would you be so kind as to schedule a graceful master restart?  Thanks!
Comment 6 WebKit Review Bot 2011-02-25 17:15:53 PST
http://trac.webkit.org/changeset/79724 might have broken GTK Linux 32-bit Release, GTK Linux 32-bit Debug, and Qt Linux Release
The following tests are not passing:
fast/table/fixed-with-auto-with-colspan-vertical.html
Comment 7 William Siegrist 2011-02-26 15:09:41 PST
buildbot restarted
Comment 8 Ojan Vafai 2011-02-27 16:47:08 PST
Comment on attachment 83718 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=83718&action=review

> Tools/BuildSlaveSupport/chromium/remove-crash-logs:37
> +    if sys.platform == 'linux2':
> +        os.system('rm -rf /tmp/.org.chromium.*')
> +    elif 'win' in sys.platform:
> +        os.system('for /d %d in (%TEMP%\scoped_dir*) do rd /s /q "%d"')

Why no mac?
Comment 9 Tony Chang 2011-02-28 10:26:04 PST
(In reply to comment #8)
> (From update of attachment 83718 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=83718&action=review
> 
> > Tools/BuildSlaveSupport/chromium/remove-crash-logs:37
> > +    if sys.platform == 'linux2':
> > +        os.system('rm -rf /tmp/.org.chromium.*')
> > +    elif 'win' in sys.platform:
> > +        os.system('for /d %d in (%TEMP%\scoped_dir*) do rd /s /q "%d"')
> 
> Why no mac?

They haven't caused a problem yet, but I'll ssh to the bots and see if they also need some cleanup code (I'm also not sure where they store temp files).